> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.arb.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Switch active organization

> Switches the active organization context for the current session. The user must be a member of the organization to switch to it.



## OpenAPI

````yaml api-reference/auth.yaml post /sessions/switch-organization
openapi: 3.0.3
info:
  title: auth
  description: >-
    The Auth Service is the single source of truth for all accounts and their
    permissions, managing authentication and access control across the platform.
    It maintains efficiency at scale by issuing access tokens to accounts when
    they log into the platform and providing public keys for other services to
    verify them.
  version: 1.0.0
servers:
  - url: https://auth.platform.arb.inc
security: []
tags:
  - name: /
  - name: authenticate
  - name: internal
  - name: organizations
  - name: sessions
  - name: users
paths:
  /sessions/switch-organization:
    post:
      tags:
        - sessions
      summary: Switch active organization
      description: >-
        Switches the active organization context for the current session. The
        user must be a member of the organization to switch to it.
      operationId: switchOrganization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - organizationId
              properties:
                organizationId:
                  type: string
                  format: uuid
                  description: >-
                    The organization ID to switch to (empty string to clear
                    organization context)
                  example: 2720f109-0caf-4c62-af22-5d08c853711c
      responses:
        '200':
          description: Session organization successfully switched
        '404':
          description: User is not a member of the organization
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: access token
      scheme: bearer
      bearerFormat: JWT

````